#include <ros/ros.h>
#include <geometry_msgs/Twist.h>
#include <sensor_msgs/LaserScan.h>
#include  <geometry_msgs/Vector3.h>
#include <sensor_msgs/Imu.h>
#include <iostream>
#include <algorithm> /*min_element*/
#include <cmath> /* round*/

#ifndef HUSKYDRIVER_H_ 
#define HUSKYDRIVER_H_ 

class HuskyDriver
{
public:
  HuskyDriver();
 
private:
  void laserCallback(const sensor_msgs::LaserScan::ConstPtr& laser);
//  void velCallback(const geometry_msgs::Twist::ConstPtr& vel); non e' propriocez.
    void velCallback(const sensor_msgs::Imu::ConstPtr& vel);
  ros::NodeHandle nh_;
 
  int linear_, angular_;
  //double l_scale_, a_scale_;
  ros::Publisher vel_pub_;
  ros::Subscriber laser_sub_;
  ros::Subscriber vel_sub_;
};


     
#endif

